Impossible d’installer des modules dans Thunderbird (thèmes ou extensions)

À partir de Thunderbird version 60, les modules complémentaires qui n’ont pas été mis à jour par leurs auteurs ou autrices risquent de ne plus fonctionner. De même, pour Thunderbird version 63 bêta, les modules qui n’ont pas été mis à jour pour la version bêta pourraient cesser de fonctionner.

L’impossibilité d’installer une extension peut provenir de problèmes avec l’extension elle-même ou de la version de Thunderbird que vous utilisez. Cet article décrit diverses raisons pour lesquelles il est impossible d’installer un module et ce que vous pouvez faire pour y remédier.

Le module n’est pas compatible

Dans chaque module, un fichier indique la plage des versions de Thunderbird compatibles. Sur le site des modules pour Tunderbird vous pourrez trouver et parcourir les informations de compatibilité de chaque module. Si votre version de Thunderbird n’est pas dans la plage de compatibilité précisée, l’installation du module ou le démarrage de Thunderbird échoueront ou bien un message indiquera que le module n’est pas compatible.

Un module publié est sous la responsabilité de son auteur ou autrice. Si un module ne fonctionne pas ou s’il est incompatible, vous disposez des options suivantes :

  • Mettre à jour Thunderbird vers sa dernière version. Pour en savoir davantage, consultez l’article Mise à jour de Thunderbird.
  • Trouver une version du module compatible avec la version de Thunderbird que vous utilisez. Le site des modules pour Thunderbird propose en général la version la plus récente.
  • Utiliser un autre module. Vous pouvez souvent trouver d’autres modules qui proposent des fonctionnalités comparables sur le site des modules pour Thunderbird.
  • Contacter l’auteur ou l’autrice du module sur le site d’assistance qui est indiqué sur la page de l’extension (NB : poster une évaluation n’est pas efficace et n’atteindra probablement pas l’auteur ou l’autrice).

Lightning manque ou son installation échoue

Si Lightning (l’extension d’agenda) manque, échoue à se mettre à jour ou à s’installer, consultez l’article Problèmes de mises à jour de l’agenda avec Thunderbird.

Problème à l’installation des thèmes

À partir de la version 61 bêta, Thunderbird ne prend en charge que les thèmes légers (d’arrière-plan). Vous ne pouvez donc plus installer de thèmes « complets ». L’article Installer des thèmes pour changer l’apparence de Thunderbird décrit le but et le processus de l’installation.

On vous demande de télécharger le module au lieu de vous autoriser à l’installer

Certains sites web proposent de télécharger des modules et vous demandent de télécharger le fichier sur votre ordinateur avant de procéder à son installation.

  • Ces fichiers sont en général des .xpi ou des .jar.
  1. Téléchargez le fichier sur votre ordinateur.
  2. Cliquez sur le bouton de menu Fx57menuNew Fx Menu et choisissez Modules complémentaires. Le gestionnaire de modules complémentaires s’ouvre dans un nouvel onglet.
  3. Dans l’onglet du gestionnaire de modules complémentaires, choisissez le panneau des Extensions
  4. Pour ajouter l’extension téléchargée à la liste des modules disponibles, glissez-déposez le fichier dans la fenêtre des extensions. L’extension est ajoutée à la liste.
  5. Le processus d’installation devrait commencer.

Un module ne fonctionne pas s’il est incompatible.

Les fichiers de l’extension sont corrompus

Des fichiers de configuration des extensions corrompus peuvent provoquer des problèmes à l’installation d’un module. Si vous supprimez ces fichiers, Thunderbird les recrée au démarrage suivant. Vous ne perdez ni vos extensions ni leurs paramètres en supprimant ces fichiers.

  1. Ouvrez le répertoire de votre profil :
    • Cliquez sur le bouton de menu New Fx Menufx57menu puis cliquez sur ? (menu de l’aide) et choisissez Informations de dépannage.Dans le menu Aide, choisissez Informations de dépannage. L’onglet Informations de dépannage s’ouvre.

      • Dans la rubrique Paramètres de base de l’application, cliquez sur Montrer le dossierOuvrir le dossierOuvrir dans le FinderOuvrir le répertoire. Une fenêtre s’ouvre contenant votre dossier de profil.Votre dossier de profil s’ouvre.
  2. Supprimez les fichiers suivants :
    • extensions.sqlite
    • extensions.sqlite-journal (s’il existe)
    • extensions.ini
    • extensions.json
  3. Redémarrez Thunderbird.

Conflit avec un autre module

Un module déjà installé peut parasiter l’installation d’un nouveau module. Installez la nouvelle extension avec le mode sans échec de Thunderbird pour contourner le problème.

Le module risque de poser des problèmes de stabilité ou de sécurité et ne peut être installé

Certains modules ont été mis sur liste noire et donc bloqués parce qu’ils ne sont pas sûrs. Pour en savoir davantage, consultez l’article Les modules complémentaires qui causent des problèmes de stabilité ou de sécurité sont mis dans une liste de blocage.



D’après les informations provenant des articles :

Cet article vous a-t-il été utile ?

Veuillez patienter…

Ces personnes ont aidé à écrire cet article :

Illustration of hands

Participer

Développez et partagez votre expertise avec les autres. Répondez aux questions et améliorez notre base de connaissances.

En savoir plus